
<div class="d-flex flex-column h-100 mh-100">
  <hci-sidebar #sidebar class="flex-grow-1 mh-100"></hci-sidebar>
</div>
<ng-template #itemTemplate let-node="node" let-data="node.data">
  <div class="d-flex flex-row">
    <div class="h-100 vertical-center" [innerHTML]="iconService.getIconForHEAObject(data.heaObject)"></div>
    <div class="flex-grow-1 padded-left single-line">
      {{ data.heaObject.display_name }}
    </div>
  </div>
</ng-template>

<ng-template #searchInfo>
  <div class="d-flex spaced-children-margin">
    <div (click)="refreshTree($event)" class="cursor me-2"><i class="bi bi-repeat" style="color: var(--pure-teal)" title="Refresh"></i></div>
    <div (click)="advanceToExplorer($event)" class="cursor me-2"><i class="bi bi-explicit" title="Object Explorer" ></i></div>
  </div>
</ng-template>



